Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Debugging/Trace.cpp File Reference

A class representing a trace. More...

`#include <string.h>`
`#include "Trace.h"`

Include dependency graph for Trace.cpp:

Go to the source code of this file.

## Functions
In & | operator>> (In &stream, Trace &trace)
| Streaming operator that reads a trace from a stream.
Out & | operator<< (Out &stream, const Trace &trace)
| Streaming operator that writes a robot pose to a stream.
Trace & | getTrace ()
| The function returns a reference to the shared trace object.
void | setTrace (Trace &t)
| The function sets the reference to the shared trace object.
## Variables
Trace * | trace = 0

## Detailed Description

A class representing a trace.

Author:
  Thomas Röfer

Definition in file Trace.cpp.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | Trace & | trace
| ) |

  | Streaming operator that reads a trace from a stream. Parameters:
  stream | The stream from which is read.
  currentLine | The trace.
Returns: The stream. Definition at line 25 of file Trace.cpp.

Out& operator<< | ( | Out & | stream,
|  | const Trace & | trace
| ) |

  | Streaming operator that writes a robot pose to a stream. Parameters:
  stream | The stream to write on.
  currentLine | The current line.
Returns: The stream. Definition at line 39 of file Trace.cpp.

Trace& getTrace | ( |  | ) |

| The function returns a reference to the shared trace object. Returns: The reference to the shared trace object. Definition at line 47 of file Trace.cpp. References trace.

void setTrace | ( | Trace & | t | ) |

  | The function sets the reference to the shared trace object. Parameters:
  t | The reference to the shared trace object.
Definition at line 52 of file Trace.cpp. References trace. Referenced by Cognition::Cognition(), and Motion::Motion().

## Variable Documentation

Trace* trace = 0`[static]`

| Definition at line 12 of file Trace.cpp. Referenced by getTrace(), operator<<(), operator>>(), and setTrace().